Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_block_trade_requests \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "private/get_block_trade_requests",
  "params": {
    "broker_code": "jpqYKgg1"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_block_trade_requests"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "private/get_block_trade_requests",
    "params": { "broker_code": "jpqYKgg1" }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'private/get_block_trade_requests',
    params: {broker_code: 'jpqYKgg1'}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_block_trade_requests', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1,
  "result": [
    {
      "timestamp": 1742824052538,
      "state": {
        "timestamp": 1742824052539,
        "value": "initial"
      },
      "username": "Trader",
      "user_id": 8,
      "role": "taker",
      "trades": [
        {
          "amount": 100000,
          "direction": "buy",
          "price": 87516.83,
          "instrument_name": "BTC-PERPETUAL"
        }
      ],
      "broker_code": "jpqYKgg1",
      "broker_name": "Test Broker",
      "counterparty_state": {
        "timestamp": 1742824052538,
        "value": "approved"
      },
      "nonce": "29rKkuD3NSBPet4njrpNWEuHBm9s"
    }
  ]
}

Query Parameters

broker_code
string

Broker code to filter block trade requests. Only broker clients can use broker_code to query for their executed broker block trades.

Example:

"jpqYKgg1"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request